Support

Home Forums Event Espresso Premium Can't delete an event attendee: throws a critical error on the dashboard

Can't delete an event attendee: throws a critical error on the dashboard

Posted: March 31, 2024 at 8:31 am


Melanie Levitt

March 31, 2024 at 8:31 am

Hi There, since our server company upgraded PHP to 8.3.4 we are having all kinds of issues with events. We can no longer delete or edit an even attendee. It just display a message saying critical error has occurred. I have attached a screenshot showing you that.

Showing the error

We also noticed a message below always displayed at the footer

Total Queries:268
SAVEQUERIES must be defined to show the query log.
Event Registration and Ticketing Powered by Event Espresso – 3.1.37.18.P

Is there a way to remove this as it is blocking the update/save button at the bottom.

Thank you and appreciate your help


Melanie Levitt

March 31, 2024 at 8:34 am

Sorry to include the error message:

PHP Fatal error: Uncaught Error: Call to undefined function each() in /wp-content/plugins/event-espresso/includes/admin-reports/event_list_attendees.php:25
Stack trace:
#0 /wp-content/plugins/event-espresso/includes/event-management/index.php(124): event_list_attendees()
#1 /wp-includes/class-wp-hook.php(324): event_espresso_manage_events(”)
#2 /wp-includes/class-wp-hook.php(348): WP_Hook->apply_filters(”, Array)
#3 /wp-includes/plugin.php(517): WP_Hook->do_action(Array)
#4 /wp-admin/admin.php(259): do_action(‘event-espresso_…’)
#5 {main}
thrown in /wp-content/plugins/event-espresso/includes/admin-reports/event_list_attendees.php on line 25
PHP Warning: session_start(): Session cannot be started after headers have already been sent in /wp-content/plugins/espresso-multiple/espresso-multi-registration.php on line 77
PHP Warning: session_start(): Session cannot be started after headers have already been sent in /wp-content/plugins/event-espresso/espresso.php on line 80


Rio

  • Support Staff

March 31, 2024 at 8:43 pm

Event Espresso officially supports PHP 8.0, we’re also using 8.2 versions on our test sites and don’t have any problem.

WordPress does not fully support PHP 8.3 (beta support only).

https://wordpress.org/news/2023/10/wordpress-6-4s-php-compatibility/

So, be careful getting ahead of PHP support for WordPress.

thanks


Melanie Levitt

April 1, 2024 at 8:51 am

Hi Rio,

Is this means I need to ask my server company to downgrade the PHP version to 8.2. Please advise and thanks


Rio

  • Support Staff

April 1, 2024 at 6:58 pm

Hello,

Yes, please ask them to downgrade PHP, then if there’s still problem lets start troubleshooting.

https://eventespresso.com/wiki/troubleshooting-checklist/

thanks


Tony

  • Support Staff

April 2, 2024 at 12:03 am

This reply has been marked as private.

You must be logged in to reply to this support post. Sign In or Register for an Account

Event Espresso